Assigning issue to user should update status

2009-03-18 10:46 - dregel skitidet

Status: Closed Start date: 2009-03-18

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Assigning issue to user should update status to assigned and not require manual change. You might end up with inconsistent states

otherwise.

Using Redmine 0.8.0.stable (MySQL) and from what I can see this hasnt changed in later versions.

History

#1 - 2009-03-19 06:39 - Eric Davis

- Status changed from New to Closed

- Resolution set to Invalid

I disagree, the "Assigned" status isn't required and can be changed.  For example my Redmine has "New", "In Progress", and "Closed".  I'd

recommend renaming "Assigned" or just removing it.

There's a discussion about this in another issue, I can't find it right now but maybe someone else can link to it for you.

#2 - 2009-04-17 10:30 - Ewan Makepeace

I also disagree - there is no magic quality about 'assigned' that says it will be:

1. Always present

2. The correct status to pick in each situation.

#3 - 2009-06-18 21:37 - Anonymous

- Status changed from Closed to Reopened

I think this could be done relatively simply.  When configuring issue statuses, there are already checkboxes for 'Issue Closed' and 'Default Value'.  All

that would be needed is a 'Set when Assigned' option.

#4 - 2009-06-26 06:34 - Eric Davis

Brad Mace wrote:

I think this could be done relatively simply.  When configuring issue statuses, there are already checkboxes for 'Issue Closed' and 'Default

Value'.  All that would be needed is a 'Set when Assigned' option.

 It wouldn't be that simple.  What if two Issue Statuses where given "Set when Assigned"?  What about if User A assigns the issue but they don't have

permission to change the status (via workflow)?

#5 - 2009-06-26 15:26 - Anonymous

I was assuming you'd only be able to pick one status to be 'Set when assigned'.  At the moment I can't think of any scenario where it would make

sense to want more than one.

As for permissions, I'm thinking that if the person has permission to assign issues, the automatic status change should be allowed, even if they

wouldn't have permission to choose the 'Assigned' status manually.  It seems safe to assume that if an administrator chooses a status to be set when

assigned, they'd want that to be done anytime an issue is assigned.  It may even be preferable not to allow setting the assigned status manually,

because someone could potentially set the status to assigned while not actually assigning it to anyone.

Anyway, just wanted to offer my suggestion on how such a thing might be done since implementation hadn't been discussed at all.  As a fellow

programmer I know things may be a lot more complicated than they initially appear.  If there won't be any way to have the 'Assigned' status set

automatically, then I'd suggest that 'Assigned' be removed from the default configuration.  Having to set it manually makes it too easy for things to get
into an inconsistent state.  Perhaps 'New' and 'Assigned' should be replaced by 'Open' in that case?

#6 - 2009-07-10 05:36 - Eric Davis

- Status changed from Reopened to Closed

Brad Mace wrote:

If there won't be any way to have the 'Assigned' status set automatically, then I'd suggest that 'Assigned' be removed from the default

configuration.  Having to set it manually makes it too easy for things to get into an inconsistent state.  Perhaps 'New' and 'Assigned' should be

replaced by 'Open' in that case?

 I think that's the best course of action.  I renamed "Assigned" to "In Progress" in my Redmine and a dozen others.  It also make the transition sound

right "New" > "In Progress" > "Resolved" > "Closed".  If you agree, please +1 #3605.

Closing this issue for now, I think a rename of the default status would be a clearer design.
